
#include "latexparser.h"

#include <fstream.h>
#include <iostream.h>

//extern void yylex();
extern TQPtrList<Element>* _root;
extern bool texparse(TQString);

LatexParser::LatexParser()
{
}

LatexParser::LatexParser(TQString fileIn)
{
	_filename= fileIn;
}

LatexParser::~LatexParser()
{
}

TQPtrList<Element>* LatexParser::parse()
{
	texparse(_filename);
	return _root;
}
